# Input preparation ($inp): split up input into lines with a large-enough
# buffer; this is required only to reduce input record size, whcih would
# be a few kilobytes from env:0 (this way it's less than 80 characters). 
#
# Actual test: splitting with a limited buffer; line 12 should be too long
# to fit.
#
# Note: order of event, stdout and message is guaranteed: event is sent
# out before the message, message is generated before the eof.

include stdio

aff='[affix suffix="\n"]'
inp='stdin:* | [split sep="\r\n"] | ' + ${aff}
event:* | [regex pattern="^plumb_split"] | [affix prefix="event: "] | STDOUT:*

# Actual test:
$inp | test=[split sep="\n" maxlen=77 event=1 overrun_msg="OVR"],sticky=1 | $aff | STDOUT:*



